<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for base\forms.py: 100%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">
<div id="header">
    <div class="content">
        <h1>Coverage for <b>base\forms.py</b> :
            <span class="pc_cov">100%</span>
        </h1>
        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />
        <h2 class="stats">
            8 statements &nbsp;
            <button type="button" class="run shortkey_r button_toggle_run" title="Toggle lines run">8 run</button>
            <button type="button" class="mis show_mis shortkey_m button_toggle_mis" title="Toggle lines missing">0 missing</button>
            <button type="button" class="exc show_exc shortkey_x button_toggle_exc" title="Toggle lines excluded">0 excluded</button>
        </h2>
    </div>
</div>
<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>
<div id="source">
    <p id="t1" class="run"><span class="n"><a href="#t1">1</a></span><span class="t"><span class="key">from</span> <span class="nam">django</span> <span class="key">import</span> <span class="nam">forms</span>&nbsp;</span><span class="r"></span></p>
    <p id="t2" class="pln"><span class="n"><a href="#t2">2</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t3" class="run"><span class="n"><a href="#t3">3</a></span><span class="t"><span class="key">class</span> <span class="nam">loginForm</span><span class="op">(</span><span class="nam">forms</span><span class="op">.</span><span class="nam">Form</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t4" class="run"><span class="n"><a href="#t4">4</a></span><span class="t">    <span class="nam">username</span> <span class="op">=</span> <span class="nam">forms</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="nam">widget</span><span class="op">=</span><span class="nam">forms</span><span class="op">.</span><span class="nam">TextInput</span><span class="op">(</span><span class="nam">attrs</span><span class="op">=</span><span class="op">{</span><span class="str">'class'</span><span class="op">:</span> <span class="str">'form-control'</span><span class="op">,</span> <span class="str">'type'</span> <span class="op">:</span> <span class="str">'text'</span><span class="op">,</span> <span class="str">'placeholder'</span> <span class="op">:</span> <span class="str">'Username'</span> <span class="op">,</span> <span class="str">'required'</span> <span class="op">:</span> <span class="key">True</span><span class="op">,</span><span class="op">}</span><span class="op">)</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t5" class="run"><span class="n"><a href="#t5">5</a></span><span class="t">    <span class="nam">password</span> <span class="op">=</span> <span class="nam">forms</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="nam">widget</span><span class="op">=</span><span class="nam">forms</span><span class="op">.</span><span class="nam">TextInput</span><span class="op">(</span><span class="nam">attrs</span><span class="op">=</span><span class="op">{</span><span class="str">'class'</span> <span class="op">:</span> <span class="str">'form-control'</span><span class="op">,</span> <span class="str">'type'</span> <span class="op">:</span> <span class="str">'password'</span><span class="op">,</span> <span class="str">'placeholder'</span> <span class="op">:</span> <span class="str">'Password'</span> <span class="op">,</span> <span class="str">'required'</span> <span class="op">:</span> <span class="key">True</span><span class="op">,</span><span class="op">}</span><span class="op">)</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t6" class="pln"><span class="n"><a href="#t6">6</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t7" class="run"><span class="n"><a href="#t7">7</a></span><span class="t"><span class="key">class</span> <span class="nam">registerForm</span><span class="op">(</span><span class="nam">forms</span><span class="op">.</span><span class="nam">Form</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t8" class="run"><span class="n"><a href="#t8">8</a></span><span class="t">    <span class="nam">username</span> <span class="op">=</span> <span class="nam">forms</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="nam">widget</span><span class="op">=</span><span class="nam">forms</span><span class="op">.</span><span class="nam">TextInput</span><span class="op">(</span><span class="nam">attrs</span><span class="op">=</span><span class="op">{</span><span class="str">'class'</span><span class="op">:</span> <span class="str">'form-control'</span><span class="op">,</span> <span class="str">'type'</span> <span class="op">:</span> <span class="str">'text'</span><span class="op">,</span> <span class="str">'placeholder'</span> <span class="op">:</span> <span class="str">'Username'</span> <span class="op">,</span> <span class="str">'required'</span> <span class="op">:</span> <span class="key">True</span><span class="op">,</span><span class="op">}</span><span class="op">)</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t9" class="run"><span class="n"><a href="#t9">9</a></span><span class="t">    <span class="nam">email</span> <span class="op">=</span> <span class="nam">forms</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="nam">widget</span><span class="op">=</span><span class="nam">forms</span><span class="op">.</span><span class="nam">TextInput</span><span class="op">(</span><span class="nam">attrs</span><span class="op">=</span><span class="op">{</span><span class="str">'class'</span><span class="op">:</span> <span class="str">'form-control'</span><span class="op">,</span> <span class="str">'type'</span> <span class="op">:</span> <span class="str">'text'</span><span class="op">,</span> <span class="str">'placeholder'</span> <span class="op">:</span> <span class="str">'Email'</span> <span class="op">,</span> <span class="str">'required'</span> <span class="op">:</span> <span class="key">True</span><span class="op">,</span><span class="op">}</span><span class="op">)</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t10" class="run"><span class="n"><a href="#t10">10</a></span><span class="t">    <span class="nam">password</span> <span class="op">=</span> <span class="nam">forms</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="nam">widget</span><span class="op">=</span><span class="nam">forms</span><span class="op">.</span><span class="nam">TextInput</span><span class="op">(</span><span class="nam">attrs</span><span class="op">=</span><span class="op">{</span><span class="str">'class'</span> <span class="op">:</span> <span class="str">'form-control'</span><span class="op">,</span> <span class="str">'type'</span> <span class="op">:</span> <span class="str">'password'</span><span class="op">,</span> <span class="str">'placeholder'</span> <span class="op">:</span> <span class="str">'Password'</span> <span class="op">,</span> <span class="str">'required'</span> <span class="op">:</span> <span class="key">True</span><span class="op">,</span><span class="op">}</span><span class="op">)</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
</div>
<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v5.3</a>,
<<<<<<< HEAD
            created at 2021-01-02 20:58 +0700
=======
            created at 2021-01-02 19:58 +0700
>>>>>>> 1fb17b7cf78846a13f6abb224082650e2f1d865f
        </p>
    </div>
</div>
</body>
</html>
